unit MAPI32;

interface

uses Windows;

type

  ULONG = Cardinal;

  MAPIINIT_0 = packed record
    ulVersion:    ULONG;
    ulFlags:      ULONG;
  end;
  pMAPIINIT_0 = ^MAPIINIT_0;

const
  MAPI_INIT_VERSION               = 0;

  MAPI_MULTITHREAD_NOTIFICATIONS  = $00000001;
  MAPI_NT_SERVICE                 = $00010000;  {Use from NT service}

//type

  function MAPIInitialize(lpMapiInit: pMAPIINIT_0): HRESULT; stdcall;

implementation

  function MAPIInitialize;            stdcall; external 'MAPI32.DLL' name 'MAPIInitialize';

end.
